Bug 616978 - Potential timeout during metadata update obsolete type removal
Summary: Potential timeout during metadata update obsolete type removal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server   
(Show other bugs)
Version: 3.0.0
Hardware: All All
urgent
high vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint12-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-21 21:00 UTC by Jay Shaughnessy
Modified: 2010-08-12 16:44 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:44:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Shaughnessy 2010-07-21 21:00:55 UTC
When updating plugins during an RHQ 3.0.0/JON 2.4 upgrade there may be a need to remove obsolete resource types.  This happens in an umbrella transaction.  For large inventories it may cause a timeout due to the number of obsolete resources being removed.

Comment 1 Jay Shaughnessy 2010-07-21 21:46:57 UTC
Fix commit release-3.0.0: 76bbed4c0d1362c83356f0382cd99700b8c07e41

  Upped the Trans timeout to compensate for larger inventories.


Fix commit for master (4.0.0): f31dda5fb516089f0cb3847699ed8bbc64f6dabf

  Removed umbrella transaction to avoid long transactions when removing
  obsolete types.



QA: code change only. code review done (jmarques)

Comment 2 Corey Welton 2010-07-22 03:17:22 UTC
QA Closing

Comment 3 Corey Welton 2010-08-12 16:44:45 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.